package EdFi.Rest.Api;

import java.util.List;

import javax.ws.rs.client.Entity;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.client.Invocation.Builder;
import javax.ws.rs.core.MediaType;

import EdFi.Rest.Models.BulkOperationException;
import EdFi.Rest.Sdk.RestResponse;

public class BulkOperationExceptionsApi {
	private final WebTarget baseTarget;
	  
    public BulkOperationExceptionsApi(WebTarget baseTarget) {
        this.baseTarget = baseTarget;
    }
    
    public RestResponse<List<BulkOperationException>> getBulkOperationExceptions(String bulkOperationId, String fileUploadId, Integer offset, Integer limit) {
        WebTarget target = baseTarget.path("/bulkOperations/{bulkOperationId}/exceptions/{fileUploadId}");

        // verify required params are set
        if (bulkOperationId == null ) {
            throw new IllegalArgumentException("API method call is missing required parameters");
        }
        if (fileUploadId == null ) {
            throw new IllegalArgumentException("API method call is missing required parameters");
        }
        target = target.resolveTemplate("bulkOperationId", bulkOperationId);
        target = target.resolveTemplate("fileUploadId", fileUploadId);

        if (offset != null){
            target = target.queryParam("offset", offset);
        }
        if (limit != null){
            target = target.queryParam("limit", limit);
        }

        Builder builder = target.request(MediaType.APPLICATION_JSON);
        return new RestResponse<List<BulkOperationException>>(builder.method("GET")) {};
        }
}
