package EdFi.Rest.Api;

import javax.ws.rs.client.Entity;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.client.Invocation.Builder;
import javax.ws.rs.core.MediaType;

import EdFi.Rest.Models.BulkOperation;
import EdFi.Rest.Sdk.RestResponse;

public class BulkOperationsApi {
	private final WebTarget baseTarget;
	  
    public BulkOperationsApi(WebTarget baseTarget) {
        this.baseTarget = baseTarget;
    }
    
    public RestResponse<BulkOperation> postBulkOperations(BulkOperation body) {
        WebTarget target = baseTarget.path("/bulkOperations");

        // verify required params are set
        if (body == null ) {
            throw new IllegalArgumentException("API method call is missing required parameters");
        }
        Builder builder = target.request(MediaType.APPLICATION_JSON);
        return new RestResponse<BulkOperation>(builder.method("POST", Entity.json(body))) {};
        }
    
    public RestResponse<BulkOperation> getBulkOperationsById(String id) {
        WebTarget target = baseTarget.path("/bulkOperations/{id}");

        // verify required params are set
        if (id == null ) {
            throw new IllegalArgumentException("API method call is missing required parameters");
        }
        target = target.resolveTemplate("id", id);
        Builder builder = target.request(MediaType.APPLICATION_JSON);
        return new RestResponse<BulkOperation>(builder.method("GET")) {};
        }
}
